Make Litespeed compatible with Cloudlinux's limits

Discussion in 'Feedback/Feature Requests' started by Monarobase, May 1, 2013.

  1. Monarobase

    Monarobase New Member

    Problem :
    When CloudLinux applies a limit it gives an error message and their Apache modhostinglimits shows a 508 Server Busy error message. Litespeed doesn't detect this error message and shows a 503 internal server error instead.

    When it happens :
    This happens in two cases :

    1) If a user goes over his max Entry Process limit
    2) If a user's account uses up too much CPU (the CPU queue gets too long)

    Why it happens :
    Currently Litespeed isn't compatible with these two situations. It doesn't detect Cloudlinux's error, it tries multiple times to connect to PHP and shows a 503 internal error instead of 508 server busy error. 503 errors make Litespeed to restart.

    Litespeed's current workaround
    You can fix the first problem by increasing CloudLinux's Entry process limit to be larger than Litespeed's limit but this means you can no longer set Entry process limits per account or per package.

    When Litespeed's workaround doesn't work :
    You can't fix the second problem as if you remove CloudLinux's CPU limits that removes the whole point of CloudLinux.

    What could happen
    If multiple accounts hit their max CPU queue limit and both start trying to show 508 errors which are not recognised and 503 errors are show instead, litespeed with start a series of restarts. If the server doesn't have much ressources left restarting litespeed will not help and could cause unavailabilities or make the server crash.

    My Feature request :
    My feature request is for Litespeed to detect CloudLinux error messages and show a 508 error message instead of a 503, thus not restarting Litespeed when a CloudLinux limit is hit.

    Who need's this Feature ?
    I'm pretty sure a large percentage of your customers use both CloudLinux and Litespeed so this request should be put on a quite high priority. Any server using both Litespeed and CloudLinux need's Litespeed to be able to detect CloudLinux Errors.
  2. Monarobase

    Monarobase New Member

    Sorry to up this thread, but in my previous thread (here : http://www.litespeedtech.com/support/forum/showthread.php?t=6902 [that can be closed or marked solved or merged with this thread]) I asked if you could update me on how difficult this would be to implement and how likely this could be implemented in the next few versions or give me some sort of timespan…

    Have you been able to speak to your developers about it ? If so, what importance does making litespeed compatible with CloudLinux have?.
  3. NiteWave

    NiteWave Administrator

    Thanks for reminding us multiple times. I believe development has known your request since your first post. I appreciate your detailed description about the issue.
  4. Monarobase

    Monarobase New Member

    Sorry about the multiple times. I guessed as my initial topic did not start with a feature request and was not in the feature request forum I should create a new feature request.

    As I did not get any answers to my initial topic I presumed that you had forgotten about it. To my defense there are some topics on these forums that are over a year old without any answers…

    I'm not asking for an official ETA as I know it's to early for you to announce something like this. But I would like to have an idea about how difficult a task this would be and at what priority this will be treated with. Is this something that could be implemented within the next year or will it be put aside for years to come ?

    I'm sure your developpers should be able to give you some idea about how difficult it would be to detect the error and also for the people who decide priorities to say how important this is.
  5. Monarobase

    Monarobase New Member

    Can we hope for an update from your devs some time soon ?

    Not a finished fix, just some information about how long this could take, how difficult it would be to implement, how likely this will be implemented some time soon ?
  6. webizen

    webizen New Member

    spoke with developer on this. this will take months' of work and not something can be implemented any time soon.
  7. Monarobase

    Monarobase New Member

    Ok, thanks for the update :)

    Hope more people will show their interest for this feature request to give it some more importance that just me
  8. Duplika

    Duplika New Member

    It would be great if CloudLinux and Litespeed work perfectly well together.
  9. bahram0110

    bahram0110 New Member

    I'm sorry to says that I leave litespeed only for this reason (I have a topic about this)

    After some months I decide to check this issue and unfortunately it is not solved yet.

    I hope this will solve soon...
  10. wanah

    wanah Member

    We had an issue with our webserver (PHP) this morning (not beacause of litespeed) but reverted back to Apache so cPanel could have a look and we did not notice any real speed difference.

    We are beginning to think about reverting to Apache.

    Have you started working on making litespeed compatible with CloudLinux ? If not then it could push us to try apache again in version 2.4, if so then we will stick with litespeed a bit longer and see what happens.
    Last edited: Sep 21, 2013
  11. wanah

    wanah Member

    Will there be any improvements with Cloudlinux compatibility in the upcomming version 5 of Litespeed ?
  12. mistwang

    mistwang LiteSpeed Staff

    Yes, if we could not address it in 4.2.5 release, will definitely do it in 5.x release.
  13. wanah

    wanah Member

    Does this mean that it might have been done in 4.2.5 ? Or that the detection for CloudLinux errors will be implemented for version 5.0 for sure ?

    This is great news :)
  14. stormy

    stormy Member

    I'm interested in this as well. I upgraded all my servers to Cloudlinux + Litespeed at the same time and I didn't know they really don't work that well together.:(
  15. jacob

    jacob New Member

    Just adding my vote to this feature request. This is something I would want to see as well.
  16. wanah

    wanah Member

    Sounds like this should be fixed in 4.2.5 ! Very Nice news. I will however wait for this new version to be concidered stable before updating. But I'm extremly pleased with the new features !
  17. NiteWave

    NiteWave Administrator

    you can upgrade first, and monitor it closely for a few hours; if any issue, you can switch back to previous version, this is low risk. or switch back to previous version when you're away from computer ... nearly 0 risk.
  18. wanah

    wanah Member

    It's the new lsphp that isn't that easy to downgrade on Cpanel box (takes time to recompile php). As the server I want to run it on has quite a few important production sites I'll wait a couple of weeks. I'm very impatient to try this out as this new version answers every feature I wanted !
  19. Michael

    Michael Administrator Staff Member

    Glad to hear we hit the nails on their heads. Keep those feature requests coming!

    Michael
  20. stormy

    stormy Member

    It looks like a fantastic update and I will apply it to my servers next week.

    I'm really glad that mod_security is now a priority and enhancements have been made. I hope the next release brings 100% compatibility!

Share This Page